Subject: bug#65908: 29.1.50; Emacs 29 regresses on macOS

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Oct 2023 20:04:02 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Thu, 05 Oct 2023 18:36:15 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Gerd Möllmann <[email-masked]>
> >> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
> >>   [email-masked],  [email-masked],  [email-masked]
> >> Date: Thu, 05 Oct 2023 15:56:11 +0200
> >> 
> >> To the question of profiling.  I've now used the built-in profiler on
> >> the two commits, but I must say that I don't see where the difference
> >> comes from.  These are debug builds, 5 runs of the benchmark.
> >
> > Are you sure you haven't profiled the same build?  The profiles look
> > almost identical.
> 
> Yes, I'm sure.

Then I guess the problem is not with the Emacs Lisp code, but either
with the primitives implemented in C or some programs (Git?) invoked
by this recipe.